Download it now!
Bug 67263 - CRASH when deleting applied bulleted paragraph style [EDITING, FORMATTING]
Summary: CRASH when deleting applied bulleted paragraph style [EDITING, FORMATTING]
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: x86-64 (AMD64) All
: medium major
Assignee: Julien Nabet
URL:
Whiteboard: target:4.3.0 target:4.2.0.0.beta2 tar...
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2013-07-24 15:38 UTC by Júlio Reis
Modified: 2013-11-25 13:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Test case file: delete the "Delete me" style and LO crashes (9.83 KB, application/vnd.oasis.opendocument.text)
2013-07-24 15:38 UTC, Júlio Reis
Details
Mac OS X crash report (84.02 KB, text/plain)
2013-07-24 16:06 UTC, Júlio Reis
Details
backtrace (23.10 KB, text/x-log)
2013-10-12 16:11 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Júlio Reis 2013-07-24 15:38:21 UTC
Created attachment 82943 [details]
Test case file: delete the "Delete me" style and LO crashes

Whenever I delete a bulleted, applied, paragraph style, LibreOffice crashes.

If I try deleting a non-bulleted applied style, everything is OK. No problem either if I try to delete a bulleted style that’s not currently applied.

I did not try using numbered styles.

This happens in
LibreOffice 4.0.4.2 under Mac OS X Lion 10.7.5
LibreOffice 4.0.2.2 under Ubuntu 13.04
Comment 1 Júlio Reis 2013-07-24 16:06:20 UTC
Created attachment 82944 [details]
Mac OS X crash report

This is the Mac OS X crash report.

I could not get a crash report for the Ubuntu in a way I could paste here, but I did submit the automatic crash.
Comment 2 Cor Nouws 2013-07-26 23:05:04 UTC
Nice crash and clear report, Júlio. Thanks.

It crahses in 4.1.0.4 too. I set this to new.

Regards, Cor
Comment 3 Jorendc 2013-10-12 16:11:48 UTC
Created attachment 87516 [details]
backtrace

Reproducible using Linux Mint 15 x64 with LibreOffice Version: 4.2.0.0.alpha0+
Build ID: ff7ba8c81c3b00722e58ed01a1ab361094aeb609

Attached a backtrace
Comment 4 Commit Notification 2013-11-21 14:29:34 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=899c5ea9dc3c34892edfde642510514779132910

Resolves: fdo#67263 CRASH when deleting applied bulleted paragraph style



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-11-21 15:48:22 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1d3c75a4ccaee7097ddecd39bed5d43e343a91dc&h=libreoffice-4-2

Resolves: fdo#67263 CRASH when deleting applied bulleted paragraph style


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-11-25 13:47:39 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=509f1f456d6a7d3ec3aca6620a8a3c1302045c6b&h=libreoffice-4-1

Resolves: fdo#67263 CRASH when deleting applied bulleted paragraph style


It will be available in LibreOffice 4.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.